Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > Linux Forums > Installation/Configuration

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 1st April 2007, 07:38
U2XS U2XS is offline
Junior Member
 
Join Date: Mar 2007
Posts: 8
Thanks: 1
Thanked 0 Times in 0 Posts
Default Installing Webmin on Ubuntu Linux (Server edition)

I'm following This Tutorial and I got to the early step of installing webadmin. The version is newer than the one in the tutorial and it tells me that it will not install because it does not have the dependencies.

I have tried the following commands with some success
Quote:
sudo dpkg --install webmin_1.330_all.deb
Quote:
sudo apt-get update
Quote:
sudo apt-get install perl5 libnet-ssleay-perl
Finally I got as far as this step. But here is where I am stuck. Can anyone help me download/locate/install these dependencies?
Quote:
family@ubuntu:~/Desktop$ sudo dpkg --install webmin_1.330_all.deb
Password:
Selecting previously deselected package webmin.
(Reading database ... 88486 files and directories currently installed.)
Unpacking webmin (from webmin_1.330_all.deb) ...
dpkg: dependency problems prevent configuration of webmin:
webmin depends on libnet-ssleay-perl; however:
Package libnet-ssleay-perl is not installed.
webmin depends on libauthen-pam-perl; however:
Package libauthen-pam-perl is not installed.
webmin depends on libio-pty-perl; however:
Package libio-pty-perl is not installed.
webmin depends on libmd5-perl; however:
Package libmd5-perl is not installed.
dpkg: error processing webmin (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
webmin
Reply With Quote
Sponsored Links
  #2  
Old 1st April 2007, 12:31
iverson0881 iverson0881 is offline
Junior Member
 
Join Date: Jan 2007
Posts: 22
Thanks: 1
Thanked 0 Times in 0 Posts
Default

please use the command:

apt-get install libnet-ssleay-perl libauthen-pam-perl libio-pty-perl libmd5-perl

then run:

dpkg -i webmin_1.330_all.deb

It should work then.
Reply With Quote
  #3  
Old 1st April 2007, 13:22
xerophyte xerophyte is offline
Junior Member
 
Join Date: Mar 2007
Posts: 4
Thanks: 0
Thanked 0 Times in 0 Posts
Default

But it recommended to install the webmin from the source tarball, because the deb configure differently.
Reply With Quote
  #4  
Old 1st April 2007, 18:30
U2XS U2XS is offline
Junior Member
 
Join Date: Mar 2007
Posts: 8
Thanks: 1
Thanked 0 Times in 0 Posts
Default

Thanks for the response. I tried the code and wound up with this.

Quote:
family@ubuntu:~/Desktop$ sudo apt-get install libnet-ssleay-perl libauthen-pam-perl libio-pty-perl libmd5-perl
Reading package lists... Done
Building dependency tree
Reading state information... Done
libnet-ssleay-perl is already the newest version.
Package libauthen-pam-perl is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package libauthen-pam-perl has no installation candidate
It seems that we've found the problem. Does anyone know how to install libauthen-pam-perl seperately - not directly from the server?? Thanks
__________________
I use Ubuntu 6.10 Edgy EFT (Server Edition) with a Gnome GUI
Reply With Quote
  #5  
Old 2nd April 2007, 03:17
iverson0881 iverson0881 is offline
Junior Member
 
Join Date: Jan 2007
Posts: 22
Thanks: 1
Thanked 0 Times in 0 Posts
Default

Hmm that's odd I found that in the dapper release of Ubuntu that package does exist.

as found here:
http://packages.ubuntu.com/cgi-bin/s...er&release=all

but you need to have the universe repository enabled.
Reply With Quote
  #6  
Old 2nd April 2007, 15:28
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,740 Times in 2,575 Posts
Default

Yes, please make sure that the universe repository is enabled in /etc/apt/sources.list.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #7  
Old 2nd April 2007, 16:15
U2XS U2XS is offline
Junior Member
 
Join Date: Mar 2007
Posts: 8
Thanks: 1
Thanked 0 Times in 0 Posts
Default

I'm pretty sure this is it. I just looked at the file in the directory you mentioned and it states.

Quote:
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
How do I enable the Universe repository?
__________________
I use Ubuntu 6.10 Edgy EFT (Server Edition) with a Gnome GUI
Reply With Quote
  #8  
Old 3rd April 2007, 18:24
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,740 Times in 2,575 Posts
Default

Please post your full /etc/apt/sources.list.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #9  
Old 3rd April 2007, 19:10
U2XS U2XS is offline
Junior Member
 
Join Date: Mar 2007
Posts: 8
Thanks: 1
Thanked 0 Times in 0 Posts
Default

My sources list can be found here Thanks
__________________
I use Ubuntu 6.10 Edgy EFT (Server Edition) with a Gnome GUI
Reply With Quote
  #10  
Old 4th April 2007, 14:02
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,740 Times in 2,575 Posts
 
Default

Please uncomment these two lines:
Code:
# deb http://us.archive.ubuntu.com/ubuntu/ edgy universe
# deb-src http://us.archive.ubuntu.com/ubuntu/ edgy universe
so that they read
Code:
deb http://us.archive.ubuntu.com/ubuntu/ edgy universe
deb-src http://us.archive.ubuntu.com/ubuntu/ edgy universe
Run
Code:
apt-get update
afterwards.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Statistic not working mzo Installation/Configuration 49 20th April 2011 12:19
Postfix Problems Rocky Installation/Configuration 22 14th September 2006 09:03
Problems installing NForce4 sound drivers Wraithfire Installation/Configuration 21 16th April 2006 17:30
KErnel not showing all my memory Jorem Kernel Questions 8 13th April 2006 12:59
Webmin docs missing namit Server Operation 11 5th January 2006 09:51


All times are GMT +2. The time now is 19:43.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.